function [Fit_func, VOc, Costc, Phic, Rotc, GC, Cos_phic] = ...
              mpfa_sort(n, Fit_fun, VO, Cost, Phi, Rot, G, cos_phi)
% Sort values taking into account the fitness function
% _________________________________________________________________________

    Fit_func = ones(n,1)*10^100;
    VOc      = ones(size(VO));
    Costc    = ones(n,1);
    Phic     = ones(n,1);
    Rotc     = ones(n,1);
    GC       = ones(n,14);
    Cos_phic = ones(n,1);

    [Fit_func(:,1), Index] = sort(Fit_fun(:,1), 1);

    for i = 1 : n
        VOc(i,:)      = VO(Index(i),:);
        Costc(i,1)    = Cost(Index(i),:);
        Phic(i,1)     = Phi(Index(i),:);
        Rotc(i,1)     = Rot(Index(i),:);
        GC(i,:)       = G(Index(i),:);
        Cos_phic(i,1) = cos_phi(Index(i),:);
    end

end
